%define	avahi_version	0.6
%define soup_version	2.3
%define gtk2_version	2.10
%define glib2_version	2.15

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           libepc
Version:        0.3.4
Release:        1
Summary:        Easy Publish and Consume library

Group:          System/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/libepc/
Source0:        http://ftp.gnome.org/pub/gnome/sources/%{name}/0.3/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	e2fsprogs-devel >= 1.36
BuildRequires:	libsoup-devel >= %{soup_version}
BuildRequires:	avahi-devel >= %{avahi_version}
BuildRequires:	gnutls-devel
BuildRequires:	gtk2+-devel >= %{gtk2_version}
BuildRequires:	glib-devel >= %{glib2_version}
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)

%description
A library to easily publish and consume values on networks


%package   	ui
Summary:	Widgets for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}


%description	ui
The %{name}-ui package contains widget for use with %{name}.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	%{name}-ui = %{version}-%{release}
Requires:	pkgconfig
Requires:	avahi-devel >= %{avahi_version}
Requires:	libsoup-devel >= %{soup_version}
Requires:	gnutls-devel
Requires:	gtk2+-devel >= %{gtk2_version}
Requires:	glib-devel >= %{glib2_version}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --enable-static=no
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Package fails to compile using smp_mflags
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%post ui -p /sbin/ldconfig


%postun ui -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/%{name}-1.0.so.*


%files ui
%defattr(-,root,root,-)
%{_libdir}/%{name}-ui-1.0.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-ui-1.0/
%{_includedir}/%{name}-1.0/
%{_libdir}/%{name}-1.0.so
%{_libdir}/*.la
%{_libdir}/%{name}-ui-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_libdir}/pkgconfig/%{name}-ui-1.0.pc
%{_datadir}/gtk-doc/html/%{name}-1.0/


%changelog
* Tue Mar 18 2008 Christian Metzen <metzench@ccux-linux.de> 0.3.4-1
- Initial release